Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.schema.v1
Class GalenicformType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.schema.v1.GalenicformType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:01+01:00",
               comments="JAXB RI v2.2.11")
    public class GalenicformType

extends Object
implements Serializable

Java class for galenicformType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="galenicformType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-GALENICFORM" minOccurs="0"/>
             <element name="galenicformtext" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GalenicformType()`

Method Summary
`CDGALENICFORM` | `getCd()` Gets the value of the cd property.
`TextType` | `getGalenicformtext()` Gets the value of the galenicformtext property.
`void` | `setCd(CDGALENICFORM value)` Sets the value of the cd property.
`void` | `setGalenicformtext(TextType value)` Sets the value of the galenicformtext property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GalenicformType

    public GalenicformType()

Method Detail

### getCd

    public CDGALENICFORM getCd()

  Gets the value of the cd property.

  Returns:
    possible object is `CDGALENICFORM`

### setCd

    public void setCd(CDGALENICFORM value)

  Sets the value of the cd property.

  Parameters:
    `value` - allowed object is `CDGALENICFORM`

### getGalenicformtext

    public TextType getGalenicformtext()

  Gets the value of the galenicformtext property.

  Returns:
    possible object is `TextType`

### setGalenicformtext

    public void setGalenicformtext(TextType value)

  Sets the value of the galenicformtext property.

  Parameters:
    `value` - allowed object is `TextType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.